#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pnam	Glib
Summary:	Perl Glib bindings
Summary(pl.UTF-8):	Wiązania Glib dla Perla
Name:		perl-Glib
# note: versions 1.x[13579]y are unstable, if you want them, please use DEVEL branch
Version:	1.329_2
%define	fver	%(echo %{version} | tr -d _)
Release:	2
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{fver}.tar.gz
# Source0-md5:	9fcd0fbb16f35a6bef0827e83d68da04
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	glib2-devel >= 1:2.24.0
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	glib2 >= 1:2.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides Perl access to Glib and GLib's GObject libraries.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do bibliotek GLib i GObject.

%package devel
Summary:	Development files for Perl Glib bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Glib dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.24.0

%description devel
Development files for Perl Glib bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Glib dla Perla.

%prep
%setup -q -n %{pnam}-%{fver}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorarch}/{Gnome2,auto/Gnome2}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Glib/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Glib/Param/*.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Glib/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%{perl_vendorarch}/Glib.pm
%dir %{perl_vendorarch}/Glib
%{perl_vendorarch}/Glib/Object
%dir %{perl_vendorarch}/auto/Glib
%attr(755,root,root) %{perl_vendorarch}/auto/Glib/Glib.so
%{_mandir}/man3/Glib.3pm*
%{_mandir}/man3/Glib::BookmarkFile.3pm*
%{_mandir}/man3/Glib::Boxed.3pm*
%{_mandir}/man3/Glib::Bytes.3pm*
%{_mandir}/man3/Glib::Error.3pm*
%{_mandir}/man3/Glib::Flags.3pm*
%{_mandir}/man3/Glib::KeyFile.3pm*
%{_mandir}/man3/Glib::Log.3pm*
%{_mandir}/man3/Glib::MainLoop.3pm*
%{_mandir}/man3/Glib::Markup.3pm*
%{_mandir}/man3/Glib::Object*.3pm*
%{_mandir}/man3/Glib::OptionContext.3pm*
%{_mandir}/man3/Glib::OptionGroup.3pm*
%{_mandir}/man3/Glib::Param::*.3pm*
%{_mandir}/man3/Glib::ParamSpec.3pm*
%{_mandir}/man3/Glib::Signal.3pm*
%{_mandir}/man3/Glib::Type.3pm*
%{_mandir}/man3/Glib::Utils.3pm*
%{_mandir}/man3/Glib::Variant.3pm*
%{_mandir}/man3/Glib::VariantDict.3pm*
%{_mandir}/man3/Glib::VariantType.3pm*
%{_mandir}/man3/Glib::index.3pm*
%{_mandir}/man3/Glib::version.3pm*
# for Gnome2-related packages
%dir %{perl_vendorarch}/Gnome2
%dir %{perl_vendorarch}/auto/Gnome2

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Glib/CodeGen.pm
%{perl_vendorarch}/Glib/GenPod.pm
%{perl_vendorarch}/Glib/Install
%{perl_vendorarch}/Glib/MakeHelper.pm
%{perl_vendorarch}/Glib/ParseXSDoc.pm
%{_mandir}/man3/Glib::CodeGen.3pm*
%{_mandir}/man3/Glib::GenPod.3pm*
%{_mandir}/man3/Glib::MakeHelper.3pm*
%{_mandir}/man3/Glib::ParseXSDoc.3pm*
%{_mandir}/man3/Glib::devel.3pm*
%{_mandir}/man3/Glib::xsapi.3pm*
%changelog
* Thu Apr 23 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Glib.git;a=log;h=master

* Thu Apr 23 2020 Jakub Bogusz <qboosh@pld-linux.org> b033f0a
- updated to 1.3292 (as 1.329_2 to avoid epoch bumps after 1.34x release)
- removed obsolete tests patch

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a1e7967
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> b26be91
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Jul 02 2019 Jakub Bogusz <qboosh@pld-linux.org> 5d12e87
- updated to 1.329
- added tests patch

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 18910f6
- updated to 1.327

* Mon Jun 12 2017 Jan Rękorajski <baggins@pld-linux.org> 4efad38
- up to 1.325

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 56d6c65
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ad932d6
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7c65b5e
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 7b1fe28
- updated to 1.320

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> dba72b2
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6af2718
- x32 rebuild
- release 2 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> e85846e
- updated to 1.305

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 9cdd173
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8a7e2f5
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3d7730c
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> bbc18db
- -devel R: glib2-devel (referes to glib-gobject.h header)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 7be3534
- added test patch (disable some tests which code perl 5.18 refuses)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 356c755
- updated to 1.300

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a3bfc68
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

